<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): SizedIntegerValue Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_sized_integer_value.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="class_sized_integer_value-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SizedIntegerValue Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Adds a word size attribute to <a class="el" href="class_integer_value.html" title="32-bit unsigned integer value. ">IntegerValue</a>.  
 <a href="class_sized_integer_value.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_value_8h_source.html">Value.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for SizedIntegerValue:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_sized_integer_value.png" usemap="#SizedIntegerValue_map" alt=""/>
  <map id="SizedIntegerValue_map" name="SizedIntegerValue_map">
<area href="class_integer_value.html" title="32-bit unsigned integer value. " alt="IntegerValue" shape="rect" coords="0,56,115,80"/>
<area href="class_value.html" title="Abstract base class for values of arbitrary types. " alt="Value" shape="rect" coords="0,0,115,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a038ad11ad0a7b75a0d043b89459c3ede"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sized_integer_value.html#a038ad11ad0a7b75a0d043b89459c3ede">int_size_t</a> { <br />
&#160;&#160;<a class="el" href="class_sized_integer_value.html#a038ad11ad0a7b75a0d043b89459c3edeaf1ecfcb131f21253d6454643d0320f70">kWordSize</a>, 
<br />
&#160;&#160;<a class="el" href="class_sized_integer_value.html#a038ad11ad0a7b75a0d043b89459c3edeaf74cd05b7a2b66f79bc4cd7a67ed8518">kHalfWordSize</a>, 
<br />
&#160;&#160;<a class="el" href="class_sized_integer_value.html#a038ad11ad0a7b75a0d043b89459c3edea026ac30d78f62fb6ddb3c443560eb428">kByteSize</a>
<br />
 }<tr class="memdesc:a038ad11ad0a7b75a0d043b89459c3ede"><td class="mdescLeft">&#160;</td><td class="mdescRight">Supported sizes of integers.  <a href="class_sized_integer_value.html#a038ad11ad0a7b75a0d043b89459c3ede">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:a038ad11ad0a7b75a0d043b89459c3ede"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a4e448e7644e279e8387a6da3765dcdac"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4e448e7644e279e8387a6da3765dcdac"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>SizedIntegerValue</b> (uint32_t value, <a class="el" href="class_sized_integer_value.html#a038ad11ad0a7b75a0d043b89459c3ede">int_size_t</a> size=<a class="el" href="class_sized_integer_value.html#a038ad11ad0a7b75a0d043b89459c3edeaf1ecfcb131f21253d6454643d0320f70">kWordSize</a>)</td></tr>
<tr class="separator:a4e448e7644e279e8387a6da3765dcdac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36cebbd0de98fd13b7820c2f25c2dbfd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a36cebbd0de98fd13b7820c2f25c2dbfd"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>SizedIntegerValue</b> (uint16_t value)</td></tr>
<tr class="separator:a36cebbd0de98fd13b7820c2f25c2dbfd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adad10554febe6df140c136cdc35980ff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adad10554febe6df140c136cdc35980ff"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>SizedIntegerValue</b> (uint8_t value)</td></tr>
<tr class="separator:adad10554febe6df140c136cdc35980ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6464a7fa3248e5023d3d38010c40582f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6464a7fa3248e5023d3d38010c40582f"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>SizedIntegerValue</b> (const <a class="el" href="class_sized_integer_value.html">SizedIntegerValue</a> &amp;other)</td></tr>
<tr class="separator:a6464a7fa3248e5023d3d38010c40582f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b65b1170bd3a562818861c3373e035a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1b65b1170bd3a562818861c3373e035a"></a>
virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><b>getTypeName</b> () const </td></tr>
<tr class="separator:a1b65b1170bd3a562818861c3373e035a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f562780ec677f1221400942b19350ab"><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sized_integer_value.html#a5f562780ec677f1221400942b19350ab">getSize</a> () const </td></tr>
<tr class="separator:a5f562780ec677f1221400942b19350ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9808ea9ed4f5802d682d08e4149cfb6c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9808ea9ed4f5802d682d08e4149cfb6c"></a>
<a class="el" href="class_sized_integer_value.html#a038ad11ad0a7b75a0d043b89459c3ede">int_size_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>getWordSize</b> () const </td></tr>
<tr class="separator:a9808ea9ed4f5802d682d08e4149cfb6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fdc473eab98ad68f7f4d2a9e6686cf5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4fdc473eab98ad68f7f4d2a9e6686cf5"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setWordSize</b> (<a class="el" href="class_sized_integer_value.html#a038ad11ad0a7b75a0d043b89459c3ede">int_size_t</a> size)</td></tr>
<tr class="separator:a4fdc473eab98ad68f7f4d2a9e6686cf5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d762ebed81251fa584b5e77cfc8d32a"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sized_integer_value.html#a7d762ebed81251fa584b5e77cfc8d32a">getWordSizeMask</a> () const </td></tr>
<tr class="memdesc:a7d762ebed81251fa584b5e77cfc8d32a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a 32-bit mask value dependant on the word size attribute.  <a href="#a7d762ebed81251fa584b5e77cfc8d32a">More...</a><br /></td></tr>
<tr class="separator:a7d762ebed81251fa584b5e77cfc8d32a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad13696ab2a7f85683eccacd5fef0f98a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad13696ab2a7f85683eccacd5fef0f98a"></a>
virtual <a class="el" href="class_value.html">Value</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>clone</b> () const </td></tr>
<tr class="separator:ad13696ab2a7f85683eccacd5fef0f98a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Assignment operators</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p>These operators set the word size as well as the integer value. </p>
</div></td></tr>
<tr class="memitem:a9089e463639fa349dd19627599bfb2eb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9089e463639fa349dd19627599bfb2eb"></a>
<a class="el" href="class_sized_integer_value.html">SizedIntegerValue</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (uint8_t value)</td></tr>
<tr class="separator:a9089e463639fa349dd19627599bfb2eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade6c27af27406991caaff742f1943b1e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ade6c27af27406991caaff742f1943b1e"></a>
<a class="el" href="class_sized_integer_value.html">SizedIntegerValue</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (uint16_t value)</td></tr>
<tr class="separator:ade6c27af27406991caaff742f1943b1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a482dcc281d0fbf966e3a3138deccb410"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a482dcc281d0fbf966e3a3138deccb410"></a>
<a class="el" href="class_sized_integer_value.html">SizedIntegerValue</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (uint32_t value)</td></tr>
<tr class="separator:a482dcc281d0fbf966e3a3138deccb410"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_integer_value"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_integer_value')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_integer_value.html">IntegerValue</a></td></tr>
<tr class="memitem:a0fec8724d1cb39db2b0fe9a44ce7d52d inherit pub_methods_class_integer_value"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0fec8724d1cb39db2b0fe9a44ce7d52d"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>IntegerValue</b> (int32_t value)</td></tr>
<tr class="separator:a0fec8724d1cb39db2b0fe9a44ce7d52d inherit pub_methods_class_integer_value"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2904e4789a2fc1f0cb506020befa6092 inherit pub_methods_class_integer_value"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2904e4789a2fc1f0cb506020befa6092"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>IntegerValue</b> (const <a class="el" href="class_integer_value.html">IntegerValue</a> &amp;other)</td></tr>
<tr class="separator:a2904e4789a2fc1f0cb506020befa6092 inherit pub_methods_class_integer_value"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94d7658a470bd8a047fb1baea6570243 inherit pub_methods_class_integer_value"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a94d7658a470bd8a047fb1baea6570243"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><b>getValue</b> () const </td></tr>
<tr class="separator:a94d7658a470bd8a047fb1baea6570243 inherit pub_methods_class_integer_value"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca77eaf72d9ac21a294e28d275268980 inherit pub_methods_class_integer_value"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aca77eaf72d9ac21a294e28d275268980"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>operator int32_t</b> () const </td></tr>
<tr class="separator:aca77eaf72d9ac21a294e28d275268980 inherit pub_methods_class_integer_value"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e38ccefedd1ebf7eae16be305988fde inherit pub_methods_class_integer_value"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8e38ccefedd1ebf7eae16be305988fde"></a>
<a class="el" href="class_integer_value.html">IntegerValue</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (int32_t value)</td></tr>
<tr class="separator:a8e38ccefedd1ebf7eae16be305988fde inherit pub_methods_class_integer_value"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4f9e9b14957e0e09c2c60822ae7386f inherit pub_methods_class_integer_value"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae4f9e9b14957e0e09c2c60822ae7386f"></a>
virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><b>toString</b> () const </td></tr>
<tr class="separator:ae4f9e9b14957e0e09c2c60822ae7386f inherit pub_methods_class_integer_value"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_value"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_value')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_value.html">Value</a></td></tr>
<tr class="memitem:aeae5b32fd20812506e28077c55435015 inherit pub_methods_class_value"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeae5b32fd20812506e28077c55435015"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Value</b> (value_type_t theType)</td></tr>
<tr class="separator:aeae5b32fd20812506e28077c55435015 inherit pub_methods_class_value"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa67d20e19fb0a4d81b4caddb1d4ac11 inherit pub_methods_class_value"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afa67d20e19fb0a4d81b4caddb1d4ac11"></a>
virtual value_type_t&#160;</td><td class="memItemRight" valign="bottom"><b>getType</b> () const </td></tr>
<tr class="separator:afa67d20e19fb0a4d81b4caddb1d4ac11 inherit pub_methods_class_value"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:aaf13ceb95db654ee2ae45338cada5f49"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaf13ceb95db654ee2ae45338cada5f49"></a>
<a class="el" href="class_sized_integer_value.html#a038ad11ad0a7b75a0d043b89459c3ede">int_size_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sized_integer_value.html#aaf13ceb95db654ee2ae45338cada5f49">m_size</a></td></tr>
<tr class="memdesc:aaf13ceb95db654ee2ae45338cada5f49"><td class="mdescLeft">&#160;</td><td class="mdescRight">Size of the integer. <br /></td></tr>
<tr class="separator:aaf13ceb95db654ee2ae45338cada5f49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_class_integer_value"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_integer_value')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="class_integer_value.html">IntegerValue</a></td></tr>
<tr class="memitem:a36d60974cb01dd6ed56fdebcd8c09503 inherit pro_attribs_class_integer_value"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a36d60974cb01dd6ed56fdebcd8c09503"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_integer_value.html#a36d60974cb01dd6ed56fdebcd8c09503">m_value</a></td></tr>
<tr class="memdesc:a36d60974cb01dd6ed56fdebcd8c09503 inherit pro_attribs_class_integer_value"><td class="mdescLeft">&#160;</td><td class="mdescRight">The integer value. <br /></td></tr>
<tr class="separator:a36d60974cb01dd6ed56fdebcd8c09503 inherit pro_attribs_class_integer_value"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Adds a word size attribute to <a class="el" href="class_integer_value.html" title="32-bit unsigned integer value. ">IntegerValue</a>. </p>
<p>The word size really only acts as an attribute that is carried along with the integer value. It doesn't affect the actual value at all. However, you can use the <a class="el" href="class_sized_integer_value.html#a7d762ebed81251fa584b5e77cfc8d32a" title="Returns a 32-bit mask value dependant on the word size attribute. ">getWordSizeMask()</a> method to mask off bits that should not be there.</p>
<p>The word size defaults to a 32-bit word. </p>
</div><h2 class="groupheader">Member Enumeration Documentation</h2>
<a class="anchor" id="a038ad11ad0a7b75a0d043b89459c3ede"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="class_sized_integer_value.html#a038ad11ad0a7b75a0d043b89459c3ede">SizedIntegerValue::int_size_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Supported sizes of integers. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="a038ad11ad0a7b75a0d043b89459c3edeaf1ecfcb131f21253d6454643d0320f70"></a>kWordSize&#160;</td><td class="fielddoc">
<p>32-bit word. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a038ad11ad0a7b75a0d043b89459c3edeaf74cd05b7a2b66f79bc4cd7a67ed8518"></a>kHalfWordSize&#160;</td><td class="fielddoc">
<p>16-bit half word. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a038ad11ad0a7b75a0d043b89459c3edea026ac30d78f62fb6ddb3c443560eb428"></a>kByteSize&#160;</td><td class="fielddoc">
<p>8-bit byte. </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a5f562780ec677f1221400942b19350ab"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">size_t SizedIntegerValue::getSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns a varying size depending on the word size attribute. </p>

<p>Reimplemented from <a class="el" href="class_integer_value.html">IntegerValue</a>.</p>

</div>
</div>
<a class="anchor" id="a7d762ebed81251fa584b5e77cfc8d32a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t SizedIntegerValue::getWordSizeMask </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns a 32-bit mask value dependant on the word size attribute. </p>
<p>The resulting mask can be used to truncate the integer value to be certain it doesn't extend beyond the associated word size. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="_value_8h_source.html">Value.h</a></li>
<li>Value.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
